List virtual accounts and available payment methods
curl --request GET \
--url https://api.example.com/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rails": [
{
"rail": "<string>",
"currency": "<string>",
"railCurrency": "USD",
"method": "sepa",
"opened": true,
"feeBps": 123,
"supportedAccounts": [
"USDC"
],
"status": "preparing",
"destinationAccount": "USDC",
"minimumDeposit": "500.00",
"id": "bnk_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"requisites": {
"fields": {
"iban": "<string>",
"bic": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"pixKey": "<string>",
"pixKeyType": "phone",
"paymentKey": "<string>",
"financialInstitutionId": "<string>",
"branchNumber": "<string>",
"accountKind": "checking",
"phoneNumber": "<string>"
},
"holder": {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"idType": "passport",
"idNumber": "<string>",
"taxId": "<string>",
"nationality": "<string>"
},
"state": "active",
"bankName": "<string>",
"paymentReference": "<string>"
}
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Virtual accounts
List virtual accounts and available payment methods
List receiving payment methods available to the selected account and identify which virtual accounts have already been opened.
GET
/
banks
List virtual accounts and available payment methods
curl --request GET \
--url https://api.example.com/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rails": [
{
"rail": "<string>",
"currency": "<string>",
"railCurrency": "USD",
"method": "sepa",
"opened": true,
"feeBps": 123,
"supportedAccounts": [
"USDC"
],
"status": "preparing",
"destinationAccount": "USDC",
"minimumDeposit": "500.00",
"id": "bnk_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"requisites": {
"fields": {
"iban": "<string>",
"bic": "<string>",
"accountNumber": "<string>",
"routingNumber": "<string>",
"pixKey": "<string>",
"pixKeyType": "phone",
"paymentKey": "<string>",
"financialInstitutionId": "<string>",
"branchNumber": "<string>",
"accountKind": "checking",
"phoneNumber": "<string>"
},
"holder": {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
},
"idType": "passport",
"idNumber": "<string>",
"taxId": "<string>",
"nationality": "<string>"
},
"state": "active",
"bankName": "<string>",
"paymentReference": "<string>"
}
}
]
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Response
Successful Response
Payment methods and virtual-account configurations available to the account.
Show child attributes
Show child attributes
Was this page helpful?